--show-iface: Qualify all non-local names
ClosedPublic

Authored by sjakobi on Jun 15 2018, 12:10 PM.

Details

Summary

In order to disambiguate names from different modules, qualify all names
that don't originate in the current module.

Also update docs for QueryQualifyName

Test Plan

validate

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
sjakobi created this revision.Jun 15 2018, 12:10 PM
bgamari accepted this revision.Jun 15 2018, 3:36 PM

Sounds reasonable to me.

This revision is now accepted and ready to land.Jun 15 2018, 3:36 PM
simonpj accepted this revision.Jun 15 2018, 6:10 PM

Aside from adding a Note, fine. Thanks!

compiler/iface/LoadIface.hs
1069

Please write a Note to draw attention to this choice, explain the reasoning, and point to the ticket

bgamari requested changes to this revision.Jun 16 2018, 11:35 AM

Requesting note.

This revision now requires changes to proceed.Jun 16 2018, 11:35 AM
sjakobi updated this revision to Diff 16978.Jun 17 2018, 9:00 AM
  • Add Note [Name qualification with --show-iface]
sjakobi marked an inline comment as done.Jul 21 2018, 5:54 AM
This revision was not accepted when it landed; it landed in state Needs Review.Aug 12 2018, 5:27 AM
This revision was automatically updated to reflect the committed changes.